%define		extraversion %nil	

Summary: 	Maintenance tool for Canon inkjet printers
Name: 		canonutil
Version: 	0.03
Release: 	1mdk
License: 	GPL
Group: 		Graphics
Source0: 	CanonUtil-%{version}%{extraversion}.tar.bz2
Source1:	canonutil.png.bz2
URL: 		http://xwtools.automatix.de/
BuildRequires: 	libfltk-devel libMesaGLU-devel
BuildRequires:  ImageMagick
Prefix: 	%{_prefix}
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
CanonUtil does all needed maintenance tasks for Canon inkjet printers:

- Nozzle check page
- Nozzle cleaning
- Nozzle adjustment
- Printer reset
- Power saving control


%prep
rm -rf ${RPM_BUILD_DIR}/%{name}-%{version}%{extraversion}
rm -rf ${RPM_BUILD_DIR}/%{name}

%setup -q -n CanonUtil-%{version}%{extraversion}
bzcat %{SOURCE1} > icon.png

# Fix path for help file
perl -p -i -e 's:CanonUtil.html:/usr/lib/CanonUtil/CanonUtil.html:' CanonUtilFltkMw.cpp

%build

./configure --prefix /usr

%make

# convert icons to required format
convert icon.png -resize 32x32 canonutil.png
convert icon.png -resize 16x16 canonutil_mini.png
convert icon.png -resize 48x48 canonutil_large.png

%install

rm -fr %buildroot
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}

# The Makefile does not support DESTDIR
./configure --prefix %{buildroot}/usr

# We cannot SUID root the executable here, so de-activate appropriate lines
# in the Makefile
perl -p -i -e 's/chmod/:/' Makefile
perl -p -i -e 's/chown/:/' Makefile

%makeinstall

%find_lang %{name}

# icons
install -d $RPM_BUILD_ROOT%{_datadir}/icons
install -m 644 canonutil.png $RPM_BUILD_ROOT%{_datadir}/icons/
install -d $RPM_BUILD_ROOT%{_datadir}/icons/mini
install -m 644 canonutil_mini.png $RPM_BUILD_ROOT%{_datadir}/icons/mini/canonutil.png
install -d $RPM_BUILD_ROOT%{_datadir}/icons/large
install -m 644 canonutil_large.png $RPM_BUILD_ROOT%{_datadir}/icons/large/canonutil.png

# menu stuff
install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > %buildroot/%_menudir/canonutil
?package(canonutil):command="/usr/bin/CanonUtil" \
title="CanonUtil" \
longtitle="Maintenance tool for Canon inkjet printers" \
needs="x11" \
section="Configuration/Printing" \
icon="canonutil.png"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGES.txt LICENCE.txt README
# This should run SGID sys, so that it can access the printer device files
# when started by a normal user
%attr(2755,lp,sys) %_bindir/CanonUtil
%_libdir/CanonUtil
%_menudir/*
%_datadir/icons/*.png
%_datadir/icons/mini/*.png
%_datadir/icons/large/*.png

%changelog

* Fri Sep 12 2003 Till Kamppeter <till@mandrakesoft.com> 0.03-1mdk
- Initial release.
